// This file is generated by kconfig_compiler from photolayoutseditor.kcfg.
// All changes you do to this file will be lost.
#ifndef KIPIPHOTOLAYOUTSEDITOR_PLECONFIGSKELETON_H
#define KIPIPHOTOLAYOUTSEDITOR_PLECONFIGSKELETON_H

#include <kconfigskeleton.h>
#include <kdebug.h>

#include <kglobalsettings.h>
namespace KIPIPhotoLayoutsEditor {

class PLEConfigSkeleton : public KConfigSkeleton
{
  Q_OBJECT
  public:

    enum {
      signalAntialiasingChanged = 0x1,
      signalShowGridChanged = 0x2,
      signalHorizontalGridChanged = 0x4,
      signalVerticalGridChanged = 0x8
 };

    static PLEConfigSkeleton *self();
    ~PLEConfigSkeleton();

    /**
      Set Recent opened files
    */
    static
    void setRecentFiles( const KUrl::List & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "recentFiles" ) ))
        self()->mRecentFiles = v;
    }

    /**
      Get Recent opened files
    */
    static
    KUrl::List recentFiles()
    {
      return self()->mRecentFiles;
    }

    /**
      Set Maximum count of the urls saved on the recent files list
    */
    static
    void setRecentFilesCount( uint v )
    {
      if (v < 2)
      {
        kDebug() << "setRecentFilesCount: value " << v << " is less than the minimum value of 2";
        v = 2;
      }

      if (v > 25)
      {
        kDebug() << "setRecentFilesCount: value " << v << " is greater than the maximum value of 25";
        v = 25;
      }

      if (!self()->isImmutable( QString::fromLatin1( "recentFilesCount" ) ))
        self()->mRecentFilesCount = v;
    }

    /**
      Get Maximum count of the urls saved on the recent files list
    */
    static
    uint recentFilesCount()
    {
      return self()->mRecentFilesCount;
    }

    /**
      Set Embed full-sized images
    */
    static
    void setEmbedImagesData( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "embedImagesData" ) ))
        self()->mEmbedImagesData = v;
    }

    /**
      Get Embed full-sized images
    */
    static
    bool embedImagesData()
    {
      return self()->mEmbedImagesData;
    }

    /**
      Set Antialiasing
    */
    static
    void setAntialiasing( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "antialiasing" ) )) {
        self()->mAntialiasing = v;
        self()->mSettingsChanged |= signalAntialiasingChanged;
      }
    }

    /**
      Get Antialiasing
    */
    static
    bool antialiasing()
    {
      return self()->mAntialiasing;
    }

    /**
      Set showGrid
    */
    static
    void setShowGrid( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "showGrid" ) )) {
        self()->mShowGrid = v;
        self()->mSettingsChanged |= signalShowGridChanged;
      }
    }

    /**
      Get showGrid
    */
    static
    bool showGrid()
    {
      return self()->mShowGrid;
    }

    /**
      Set Horizontal distance
    */
    static
    void setHorizontalGrid( double v )
    {
      if (v < 1.0)
      {
        kDebug() << "setHorizontalGrid: value " << v << " is less than the minimum value of 1.0";
        v = 1.0;
      }

      if (v > 999)
      {
        kDebug() << "setHorizontalGrid: value " << v << " is greater than the maximum value of 999";
        v = 999;
      }

      if (!self()->isImmutable( QString::fromLatin1( "horizontalGrid" ) )) {
        self()->mHorizontalGrid = v;
        self()->mSettingsChanged |= signalHorizontalGridChanged;
      }
    }

    /**
      Get Horizontal distance
    */
    static
    double horizontalGrid()
    {
      return self()->mHorizontalGrid;
    }

    /**
      Set Vertical distance
    */
    static
    void setVerticalGrid( double v )
    {
      if (v < 1.0)
      {
        kDebug() << "setVerticalGrid: value " << v << " is less than the minimum value of 1.0";
        v = 1.0;
      }

      if (v > 999)
      {
        kDebug() << "setVerticalGrid: value " << v << " is greater than the maximum value of 999";
        v = 999;
      }

      if (!self()->isImmutable( QString::fromLatin1( "verticalGrid" ) )) {
        self()->mVerticalGrid = v;
        self()->mSettingsChanged |= signalVerticalGridChanged;
      }
    }

    /**
      Get Vertical distance
    */
    static
    double verticalGrid()
    {
      return self()->mVerticalGrid;
    }


  Q_SIGNALS:
    void antialiasingChanged(bool antialiasing);

    void showGridChanged(bool showGrid);

    void horizontalGridChanged(double horizontalGrid);

    void verticalGridChanged(double verticalGrid);

  protected:
    PLEConfigSkeleton();
    friend class PLEConfigSkeletonHelper;

    virtual void usrWriteConfig();

    // General
    KUrl::List mRecentFiles;
    uint mRecentFilesCount;

    // Saving
    bool mEmbedImagesData;

    // View
    bool mAntialiasing;
    bool mShowGrid;
    double mHorizontalGrid;
    double mVerticalGrid;

  private:
    uint mSettingsChanged;
};

}

#endif

